<?php
/**
 * DiscountForReplaceTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi. Marketing.
 *
 * Маркетинг
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\MarketingClient;

use PHPUnit\Framework\TestCase;

/**
 * DiscountForReplaceTest Class Doc Comment
 *
 * @category    Class
 * @description DiscountForReplace
 * @package     Ensi\MarketingClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class DiscountForReplaceTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "DiscountForReplace"
     */
    public function testDiscountForReplace()
    {
    }

    /**
     * Test attribute "user_id"
     */
    public function testPropertyUserId()
    {
    }

    /**
     * Test attribute "seller_id"
     */
    public function testPropertySellerId()
    {
    }

    /**
     * Test attribute "name"
     */
    public function testPropertyName()
    {
    }

    /**
     * Test attribute "value_type"
     */
    public function testPropertyValueType()
    {
    }

    /**
     * Test attribute "value"
     */
    public function testPropertyValue()
    {
    }

    /**
     * Test attribute "status"
     */
    public function testPropertyStatus()
    {
    }

    /**
     * Test attribute "start_date"
     */
    public function testPropertyStartDate()
    {
    }

    /**
     * Test attribute "end_date"
     */
    public function testPropertyEndDate()
    {
    }

    /**
     * Test attribute "promo_code_only"
     */
    public function testPropertyPromoCodeOnly()
    {
    }

    /**
     * Test attribute "offers"
     */
    public function testPropertyOffers()
    {
    }

    /**
     * Test attribute "brands"
     */
    public function testPropertyBrands()
    {
    }

    /**
     * Test attribute "categories"
     */
    public function testPropertyCategories()
    {
    }

    /**
     * Test attribute "segments"
     */
    public function testPropertySegments()
    {
    }

    /**
     * Test attribute "conditions"
     */
    public function testPropertyConditions()
    {
    }
}
